Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Class AbstractGenerator.Output

    java.lang.Object
      ServletOutputStream
          org.mortbay.jetty.AbstractGenerator.Output

Direct Known Subclasses:
  HttpConnection.Output

Enclosing class:
  AbstractGenerator

    public static class AbstractGenerator.Output

extends ServletOutputStream

Output.

Implements `ServletOutputStream` from the `javax.servlet` package.

A `ServletOutputStream` implementation that writes content to a `AbstractGenerator`. The class is designed to be reused and can be reopened after a close.

Field Summary
`protected ByteArrayBuffer` | `_buf`
`protected boolean` | `_closed`
`protected AbstractGenerator` | `_generator`
`protected long` | `_maxIdleTime`

Constructor Summary
`AbstractGenerator.Output(AbstractGenerator generator, long maxIdleTime)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `print(String s)`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _generator

    protected AbstractGenerator _generator

### _maxIdleTime

    protected long _maxIdleTime

### _buf

    protected ByteArrayBuffer _buf

### _closed

    protected boolean _closed

Constructor Detail

### AbstractGenerator.Output

    public AbstractGenerator.Output(AbstractGenerator generator,
                                    long maxIdleTime)

Method Detail

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Throws:
    `IOException`

### write

    public void write(int b)
               throws IOException

  Throws:
    `IOException`

### print

    public void print(String s)
               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.